SCREENBLANK(1)

NAME
screenblank - turn off the screen when the mouse and keyboard are idle

SYNOPSIS
screenblank [ -m ] [ -k ] [ -d interval ] [ -e interval ] [ -f frame-buffer ]

DESCRIPTION

screenblank turns off the display when the mouse and keyboard are idle for an extended period (the default is 10 minutes). screenblank will continue to run until killed by hand, using `kill processid'.

Place the screenblank command in your /etc/rc.local file.

OPTIONS

-m  Do not check whether the mouse has been idle.

-k  Do not check whether the keyboard has been idle.

-d interval
    Disable after interval seconds. interval is a number of the form xxx.xxx where each x is a decimal digit. The default is 600 seconds (10 minutes).

-e interval
    Enable within interval seconds. interval is the time between successive polls for keyboard or mouse activity. If a poll detects keyboard or mouse activity, the display is resumed. interval is a number of seconds, of the form xxx.xxx where each x is a decimal digit. The default is 0.25 seconds.

-f frame-buffer
    frame-buffer is the path name of the frame-buffer on which video disabling/enabling applies. The defaults is /dev/fb.

FILES
/dev/fb

SEE ALSO
lockscreen(1), sunview(1)

BUGS

screenblank only checks /dev/console for activity; it does not check non-window programs from /dev/tty which bypass /dev/console . Consequently, screenblank will turn off the display if /dev/tty programs (for example, pixrect-based programs) are the only ones running.

When not running sunview(1), only the RETURN key resumes video display.